Skip to main content
GET
/
numerical-series
/
{numericalSeries}
Show numerical series
curl --request GET \
  --url https://app.fintoro.sk/api/public/v1/numerical-series/{numericalSeries} \
  --header 'Authorization: Bearer <token>'
{
  "id": 901,
  "documentType": "invoice",
  "name": "Invoices 2026",
  "pattern": "INV-(RRRR)(CCC)",
  "nextNumber": 11,
  "nextDocumentNumber": "INV-2026011",
  "nextVariableSymbol": 2026011,
  "isDefault": false
}

Authorizations

Authorization
string
header
required

Bearer token created for a specific company in Integrations → API.

Path Parameters

numericalSeries
integer
required

Numerical series ID.

Example:

901

Response

Numerical series detail.

Numerical series that can be used when creating public documents.

id
integer

Unique numerical series ID within the company.

Example:

901

documentType
enum<string>

Document type this series belongs to.

Available options:
invoice,
proforma,
credit-note,
order,
quotation
Example:

"invoice"

name
string

Human-readable series name visible in the Fintoro administration.

Example:

"Invoices 2026"

pattern
string

Formatting pattern used to generate the next document number.

Example:

"INV-(RRRR)(CCC)"

nextNumber
integer

Internal counter value that will be used the next time a document number is generated from this series.

Example:

11

nextDocumentNumber
string

Final next document number that would be generated from this series on the next use.

Example:

"INV-2026011"

nextVariableSymbol
integer

Variable symbol derived from nextDocumentNumber using the same backend logic that document create flows use.

Example:

2026011

isDefault
boolean

Indicates whether this is the default series for the given document type.

Example:

false